curl --location 'http://fssportal.com/api/v1/room/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945
}'
{
"message": "Rooms get successfully.",
"data": [
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12170,
"group_id": 11157,
"created_at": "2026-05-14T12:01:04.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12171,
"group_id": 11158,
"created_at": "2026-05-14T12:30:36.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12172,
"group_id": 11159,
"created_at": "2026-05-14T12:32:51.000000Z",
"window_name": "test"
}
]
}
Room Management
Get Client Rooms
Get all rooms for a client
POST
/
api
/
v1
/
room
/
get
curl --location 'http://fssportal.com/api/v1/room/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945
}'
{
"message": "Rooms get successfully.",
"data": [
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12170,
"group_id": 11157,
"created_at": "2026-05-14T12:01:04.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12171,
"group_id": 11158,
"created_at": "2026-05-14T12:30:36.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12172,
"group_id": 11159,
"created_at": "2026-05-14T12:32:51.000000Z",
"window_name": "test"
}
]
}
Endpoint
POST /api/v1/room/get
This endpoint requires authentication
Headers
Your API access token. You can also set this globally in the API playground.
The platform making the request:
WEB, IOS, or ANDROID.Request Body
Filter rooms by client ID.
Fetch specific room details.
Response
message
curl --location 'http://fssportal.com/api/v1/room/get' \
--header 'X-API-Token: YOUR_API_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"client_id": 1856,
"room_id": 4945
}'
{
"message": "Rooms get successfully.",
"data": [
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12170,
"group_id": 11157,
"created_at": "2026-05-14T12:01:04.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12171,
"group_id": 11158,
"created_at": "2026-05-14T12:30:36.000000Z",
"window_name": "test"
},
{
"room_id": 4945,
"admin_room_id": null,
"measurement_type_id": 1,
"measurement_type_name": "Single Window Form",
"measurement_id": 12172,
"group_id": 11159,
"created_at": "2026-05-14T12:32:51.000000Z",
"window_name": "test"
}
]
}
Notes
- Authentication is required
⌘I
